package betterquesting.api.placeholders.tasks;

import betterquesting.api.questing.IQuest;
import betterquesting.api.questing.tasks.ITask;
import betterquesting.api2.client.gui.misc.IGuiRect;
import betterquesting.api2.client.gui.panels.IGuiPanel;
import betterquesting.api2.storage.DBEntry;
import betterquesting.api2.utils.ParticipantInfo;
import java.util.List;
import java.util.UUID;
import javax.annotation.Nullable;
import net.minecraft.client.gui.GuiScreen;
import net.minecraft.nbt.NBTBase;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_api_placeholders_tasks.jar:betterquesting/api/placeholders/tasks/TaskPlaceholder.class */
public class TaskPlaceholder implements ITask {
    private NBTTagCompound nbtData = new NBTTagCompound();

    public /* bridge */ /* synthetic */ NBTBase writeProgressToNBT(NBTBase nBTBase, List list) {
        return writeProgressToNBT((NBTTagCompound) nBTBase, (List<UUID>) list);
    }

    public void setTaskConfigData(NBTTagCompound nbt) {
        this.nbtData.func_74782_a("orig_data", nbt);
    }

    public void setTaskProgressData(NBTTagCompound nbt) {
        this.nbtData.func_74782_a("orig_prog", nbt);
    }

    public NBTTagCompound getTaskConfigData() {
        return this.nbtData.func_74775_l("orig_data");
    }

    public NBTTagCompound getTaskProgressData() {
        return this.nbtData.func_74775_l("orig_prog");
    }

    public NBTTagCompound writeToNBT(NBTTagCompound nbt) {
        nbt.func_74782_a("orig_data", this.nbtData.func_74775_l("orig_data"));
        return nbt;
    }

    public void readFromNBT(NBTTagCompound nbt) {
        this.nbtData.func_74782_a("orig_data", nbt.func_74775_l("orig_data"));
    }

    public NBTTagCompound writeProgressToNBT(NBTTagCompound nbt, List<UUID> users) {
        nbt.func_74782_a("orig_prog", this.nbtData.func_74775_l("orig_prog"));
        return nbt;
    }

    public void readProgressFromNBT(NBTTagCompound nbt, boolean merge) {
        this.nbtData.func_74782_a("orig_prog", nbt.func_74775_l("orig_prog"));
    }

    public String getUnlocalisedName() {
        return "betterquesting.placeholder";
    }

    public ResourceLocation getFactoryID() {
        return FactoryTaskPlaceholder.INSTANCE.getRegistryName();
    }

    public void detect(ParticipantInfo participant, DBEntry<IQuest> quest) {
    }

    public boolean isComplete(UUID uuid) {
        return false;
    }

    public void setComplete(UUID uuid) {
    }

    public void resetUser(@Nullable UUID uuid) {
    }

    public IGuiPanel getTaskGui(IGuiRect rect, DBEntry<IQuest> quest) {
        return null;
    }

    public GuiScreen getTaskEditor(GuiScreen parent, DBEntry<IQuest> quest) {
        return null;
    }
}
